System.Design 2.0.0.0 System.Object System.ComponentModel.Design.IDesignerFilter System.ComponentModel.Design.IRootDesigner

A design host, such as vsprvslong, must provide its own derived version of the class to control designers through the property of the designer. Control designers use the property to access and manipulate the containing Web Forms page at design time.

Provides a base class for the design-time functionality of a Web Forms page and allows access to and manipulation of components and controls that are contained within the Web Forms page at design time.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, adds a client script element to the current Web Forms page.

  A to add to the Web Forms page.
- Method
  2.0.0.0
  System.String `` `` ``

  Although a control might already have an ID assigned to it, if there is already a control in the Web Forms page with the same ID, a new ID is assigned.

  When overridden in a derived class, adds a Web server control to the Web Forms page.

  The ID of the control that was added.

  The control to add to the Web Forms page. The control relative to which is added. A value that indicates the location for relative to .
- Property
  2.0.0.0
  System.ComponentModel.IComponent To be added.

  The property is set by the method.

  Gets or sets the component that this designer is designing.

- Method
  2.0.0.0
  System.ComponentModel.Design.DesignerActionService ``

  The method is called by a control designer and provides a way for action items for the control designer to be implemented in the Web Forms page through a design host, such as vsprvslong.

  Returns a design-time object.

  A design-time designer action service object.

  A design host, such as vsprvslong, cast as an .
- Method
  2.0.0.0
  System.Web.UI.IUrlResolutionService To be added.

  Returns an that resolves relative URLs.

  An object that resolves relative URLs.

- Property
  2.0.0.0
  System.Globalization.CultureInfo To be added. To be added.

  Gets the culture information for the current thread.

- Method
  2.0.0.0
  System.Void `` To be added.

  Releases the unmanaged resources that are used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  2.0.0.0
  System.String To be added. To be added.

  When overridden in a derived class, gets the URL at which the Web Forms page is located.

- Method
  2.0.0.0
  System.Void To be added.

  Frees the resources of the current object before it is reclaimed by the garbage collector.

- Method
  2.0.0.0
  System.String ``

  The method enables a consistent display of empty controls at design time.

  Generates empty HTML markup for a control at design time.

  HTML markup for an empty control.

  The control to generate HTML markup for.
- Method
  2.0.0.0
  System.String `` `` `` To be added.

  Generates HTML markup that is used to display an error message at design time by using the specified control, exception, and message.

  HTML markup for a control and exception information.

  The control that raised the exception. The exception. A message to add to the exception message.
- Method
  2.0.0.0
  System.Web.UI.Design.ClientScriptItemCollection To be added.

  When overridden in a derived class, returns a object that contains all client script items that are on the page.

  An object that contains all client script items that are on the page.

- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Object `` To be added.

  Returns the requested service.

  The requested service; otherwise, null, if the service cannot be resolved.

  The type of service to retrieve.
- Method
  2.0.0.0
  System.Object `` To be added.

  Returns a view object that is determined by the provided object.

  An object containing the current view of the component.

  A obtained from the property.
- Method
  2.0.0.0
  System.Void `` To be added.

  Initializes the object using the specified component.

  The component that this designer is designing.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value indicating whether the designer view is locked.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value indicating whether the Web Forms page is still loading.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when the designer completes loading the Web Forms page.

- Method
  2.0.0.0
  System.Void `` To be added.

  Raises the event when the Web Forms page is completely loaded.

  An .
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to change or remove items from the set of attributes that the designer exposes through a object.

  The attributes for the class of the component.
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to change or remove items from the set of events that the designer exposes through a object.

  The events for the class of the component.
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to change or remove items from the set of properties that the designer exposes through a object.

  The properties for the class of the component.
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to add to the set of attributes that the designer exposes through a object.

  The attributes for the class of the component.
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to add items to the set of events that the designer exposes through a object.

  The events for the class of the component.
- Method
  2.0.0.0
  System.Void `` To be added.

  Allows a designer to add items to the set of properties that the designer exposes through a object.

  The properties for the class of the component.
- Property
  2.0.0.0
  System.Web.UI.Design.WebFormsReferenceManager To be added. To be added.

  When overridden in a derived class, gets a object that has information about the current Web Forms page.

- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the specified client script from the document at design time.

  The identifier for the previously registered client script.
- Method
  2.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, removes the specified control from the Web Forms page.

  The control to remove from the Web Forms page.
- Method
  2.0.0.0
  System.String `` To be added.

  Converts a relative URL into a fully qualified URL.

  A fully qualified URL resolved from .

  A relative URL for a resource on the site.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sets the ID property of the specified control with the specified string.

  The control on which to set the ID. The string to set as the ID for the control.
- Property
  2.0.0.0
  System.ComponentModel.Design.ViewTechnology[] To be added. To be added.

  Gets an array of technologies that the designer component can support for its display.

- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerVerbCollection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets or sets the design-time verbs that are supported by the designer. For a description of this member, see .

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The attribute objects for the class of the component.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The event descriptor objects that represent the events of the class of the component. The keys in the dictionary of events are event names.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The property descriptor objects that represent the properties of the class of the component. The keys in the dictionary of properties are property names.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The attribute objects for the class of the component.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The event descriptor objects that represent the events of the class of the component. The keys in the dictionary of events are event names.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The property descriptor objects that represent the properties of the class of the component. The keys in the dictionary of properties are property names.
- Method
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a view object for the specified view technology. For a description of this member, see .

  The view object for the specified view technology.

  The view technology.
- Property
  2.0.0.0
  System.ComponentModel.Design.ViewTechnology[] To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets an array of technologies that the designer component can support for its display. For a description of this member, see .

- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerVerbCollection To be added.

  Typically, a design-time environment provides a Properties command on a shortcut menu for a component. Therefore, do not include a similar entry in the collection of designer-specified verbs.

  Gets the design-time verbs that are supported by the designer.